

<div class="assignmentSkillWrap">
 <!-- <div class="bredcum">
    <div class="btnAssing text-right">
      <div class="black marginRight">Level Of Proficiency Details</div>

      <button class="btn btn-cyean marginRight" (click)="navigateToCreateAssignmentLevelOfProficiencyPopup()">
        Add  Level Of Proficiency
      </button>

    </div>
  </div>-->

  <div class="bredcum">


    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>Level Of Proficiency Details</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add  Level Of Proficiency
      </button>
    </div>
  </div>

  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th> Level Of Proficiency Name</th>
        <th> Level Of Proficiency Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      <tr *ngFor="let assignmentLevelOfProficiencyObj of assignmentLevelOfProficiencyList">
        <td>{{assignmentLevelOfProficiencyObj.assignmentLevelOfProficiencyName}}</td>
        <td>{{assignmentLevelOfProficiencyObj.assignmentLevelOfProficiencyDesp}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(assignmentLevelOfProficiencyObj)">
          Edit Level Of Proficiency
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(assignmentLevelOfProficiencyObj)">
          Delete Level Of Proficiency
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createAssignmentLevelOfProficiency">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">create  Level Of Proficiency</h4>
        <h4  *ngIf="isEdit">Edit  Level Of Proficiency</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #assignmentLevelOfProficiency="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="assignmentLevelOfProficiencyObj.touched && assignmentLevelOfProficiencyObj.invalid">
              <label for="assignmentName"> Level Of Proficiency Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="assignmentLevelOfProficiencyObj.assignmentLevelOfProficiencyName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder="Enter Level Of Proficiency"/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Enter LevelOfProficiency Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0">Level Of Proficiency Description <span style="color:red">*</span></label>
          <textarea [(ngModel)]="assignmentLevelOfProficiencyObj.assignmentLevelOfProficiencyDesp" required name=description id="description"
                    #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter Level Of Proficiency Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveAssignmentLevelOfProficiency()" [disabled]="!assignmentLevelOfProficiency.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateAssignmentLevelOfProficiency()" [disabled]="!assignmentLevelOfProficiency.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-Close" (click)="hidePopup()">Close</button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteAssignmentLevelOfProficiency">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Level Of Proficiency</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are sure u want to delete {{deletelevelofproficiencyObj.assignmentLevelOfProficiencyObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteAssignmentLevelOfProficiency(deletelevelofproficiencyObj)" >Delete</button>

        </div>
        <div class="col-sm-6">
          <button class="btn btn-Close" (click)="closeDeletePopup()">Close</button>
        </div>
      </div>

    </div>

  </div>
</div>
